Name:           python-kwplot
Version:        0.5.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The kwplot module

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.kitware.com/computer-vision/kwplot
Source:         %{pypi_source kwplot}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'kwplot' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-kwplot
Summary:        %{summary}

%description -n python3-kwplot %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-kwplot all,all-strict,build,build-strict,docs,docs-strict,graphics,graphics-strict,headless,headless-strict,linting,linting-strict,optional,optional-strict,qt,qt-strict,runtime,runtime-strict,tests,tests-strict,types,types-strict


%prep
%autosetup -p1 -n kwplot-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,all-strict,build,build-strict,docs,docs-strict,graphics,graphics-strict,headless,headless-strict,linting,linting-strict,optional,optional-strict,qt,qt-strict,runtime,runtime-strict,tests,tests-strict,types,types-strict


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-kwplot -f %{pyproject_files}


%changelog
%autochangelog